AWS IoT Device SDK C++ v2: Aws::Crt::Auth::ICredentialsProvider Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Auth::ICredentialsProvider Class Referenceabstract

`#include <Credentials.h>`

Inheritance diagram for Aws::Crt::Auth::ICredentialsProvider:

## Public Member Functions
virtual | ~ICredentialsProvider ()=default
virtual bool | GetCredentials (const OnCredentialsResolved &onCredentialsResolved) const =0
virtual aws_credentials_provider * | GetUnderlyingHandle () const noexcept=0
virtual bool | IsValid () const noexcept=0

## Detailed Description

Base interface for all credentials providers. Credentials providers are objects that retrieve AWS credentials from some source.

## Constructor & Destructor Documentation

## ◆ ~ICredentialsProvider()

virtual Aws::Crt::Auth::ICredentialsProvider::~ICredentialsProvider | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ GetCredentials()

virtual bool Aws::Crt::Auth::ICredentialsProvider::GetCredentials | ( | const OnCredentialsResolved & | onCredentialsResolved | ) | const
| pure virtual

Asynchronous method to query for AWS credentials based on the internal provider implementation.

Implemented in Aws::Crt::Auth::CredentialsProvider.

## ◆ GetUnderlyingHandle()

virtual aws_credentials_provider * Aws::Crt::Auth::ICredentialsProvider::GetUnderlyingHandle | ( |  | ) | const
| pure virtualnoexcept

Returns the underlying credentials provider implementation. Support for credentials providers not based on a C implementation is theoretically possible, but requires some re-implementation to support provider chains and caching (whose implementations rely on links to C implementation providers)

Implemented in Aws::Crt::Auth::CredentialsProvider.

## ◆ IsValid()

virtual bool Aws::Crt::Auth::ICredentialsProvider::IsValid | ( |  | ) | const
| pure virtualnoexcept

Validity check method

Implemented in Aws::Crt::Auth::CredentialsProvider.

The documentation for this class was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/auth/Credentials.h